.product-cat-image {
    width: 25%;
}

.product--price span {
    padding-right: 5px;
}

@-moz-keyframes dot {
    50% {
        transform: translateX(96px);
    }
}

@-webkit-keyframes dot {
    50% {
        transform: translateX(96px);
    }
}

@-o-keyframes dot {
    50% {
        transform: translateX(96px);
    }
}

@keyframes dot {
    50% {
        transform: translateX(96px);
    }
}

@-moz-keyframes dots {
    50% {
        transform: translateX(-31px);
    }
}

@-webkit-keyframes dots {
    50% {
        transform: translateX(-31px);
    }
}

@-o-keyframes dots {
    50% {
        transform: translateX(-31px);
    }
}

@keyframes dots {
    50% {
        transform: translateX(-31px);
    }
}

.timeline-item {
    background: #fff;
    border-bottom: 1px solid #f2f2f2;
    padding: 25px;
    margin: 0 auto;
}

@keyframes placeHolderShimmer {
    0% {
        background-position: -468px 0
    }
    100% {
        background-position: 468px 0
    }
}

.animated-background {
    animation-duration: 2s;
    animation-fill-mode: forwards;
    animation-iteration-count: infinite;
    animation-name: placeHolderShimmer;
    animation-timing-function: linear;
    background: #f6f7f8;
    background: linear-gradient(to right, #eeeeee 8%, #dddddd 18%, #eeeeee 33%);
    background-size: 800px 104px;
    height: 40px;
    position: relative;
}

.animated-background-product {
    animation-duration: 2s;
    animation-fill-mode: forwards;
    animation-iteration-count: infinite;
    animation-name: placeHolderShimmer;
    animation-timing-function: linear;
    background: #f6f7f8;
    background: linear-gradient(to right, #eeeeee 8%, #dddddd 18%, #eeeeee 33%);
    background-size: 800px 104px;
    height: 285px;
    position: relative;
}

.animated-background-loader {
    animation-duration: 2s;
    animation-fill-mode: forwards;
    animation-iteration-count: infinite;
    animation-name: placeHolderShimmer;
    animation-timing-function: linear;
    background: #f6f7f8;
    background: linear-gradient(to right, #eeeeee 8%, #dddddd 18%, #eeeeee 33%);
    background-size: 800px 104px;
    height: 96px;
    position: relative;
}

.animated-background-loader-all {
    animation-duration: 2s;
    animation-fill-mode: forwards;
    animation-iteration-count: infinite;
    animation-name: placeHolderShimmer;
    animation-timing-function: linear;
    background: #f6f7f8;
    background: linear-gradient(to right, #eeeeee 8%, #dddddd 18%, #eeeeee 33%);
    background-size: 800px 104px;
    /* height: 96px; */
    position: relative;
    color: transparent !important;
}

.pro-image {
    height: 220px;
}

.pre-product-price {
    background-color: #d6d6d6;
    width: 100px;
    height: 20px;
}

.pre-product-name {
    background-color: #d6d6d6;
    width: 45%;
    height: 20px;
}

.pre-cat-loader {
    width: 100%;
    height: 120px;
    margin-bottom: 10px;
}

.pre-cat-name {
    width: 100%;
    height: 25px;
    margin-bottom: 10px;
    /* background-color: red; */
}

.pre-product-cat {
    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2);
    transition: 0.3s;
    border-radius: 5px;
    padding: 25px 25px 5px 25px;
    margin-bottom: 25px;
}

.pre-single-pro-image {
    height: 400px;
}

.pre-load-btn {
    border: none;
}

.pre-loader-h3 {
    height: 25px;
}

.pre-loader-qty {
    height: 35px;
}

.pre-star {
    width: 100%;
    height: 14px;
}


/* new preloader */

.preload-new-div {
    z-index: 1;
    margin: 0;
    position: absolute !important;
    top: 50%;
    left: 50%;
    margin-right: -50%;
    transform: translate(-50%, -50%);
}

.blur-background {
    filter: blur(2px);
    -o-filter: blur(2px);
    -ms-filter: blur(2px);
    -moz-filter: blur(2px);
    -webkit-filter: blur(2px);
    pointer-events: none;
    /* opacity: 0.4; */
}

.preloader-new {
    display: flex;
    flex-flow: row wrap;
    align-content: space-between;
    justify-content: space-between;
    width: 60px;
    height: 60px;
}

.preloader-new div {
    display: flex;
    width: 25px;
    height: 25px;
    background: #4A676A;
    border-radius: 3px;
}

.preloader-new div:nth-child(1) {
    animation: squad1 3s steps(1) infinite .2s;
}

.preloader-new div:nth-child(2) {
    animation: squad2 3s steps(1) infinite;
}

.preloader-new div:nth-child(3) {
    animation: squad3 3s steps(1) infinite .4s;
}

@keyframes squad2 {
    0%,
    100% {
        transform: translateY(0);
    }
    25% {
        transform: translateY(35px);
    }
    50% {
        transform: translate(-35px, 35px);
    }
    75% {
        transform: translateX(-35px);
    }
}

@keyframes squad1 {
    0%,
    100% {
        transform: translateY(0);
    }
    25% {
        transform: translateX(35px);
    }
    50% {
        transform: translate(35px, 35px);
    }
    75% {
        transform: translateY(35px);
    }
}

@keyframes squad3 {
    0%,
    100% {
        transform: translateY(0);
    }
    25% {
        transform: translateY(-35px);
    }
    50% {
        transform: translate(35px, -35px);
    }
    75% {
        transform: translateX(35px);
    }
}


/*-----------------------*/

#by {
    font-family: 'Arima Madurai', cursive;
    color: #4A676A;
    font-size: 10px;
    margin-top: 20px;
}

.Rate__star {
    padding: 0px !important;
}

.all-product-rating {
    margin-top: 5px;
    margin-bottom: 0px;
    margin-left: 11px;
}

.rating-section-stars {
    margin-top: 0px;
    margin-bottom: 0px;
    margin-left: -6px;
}


/* Single product description and reviews */

@import "https://fonts.googleapis.com/css?family=Montserrat:400,700|Raleway:300,400";
.tabs {
    left: 50%;
    -webkit-transform: translateX(-50%);
    transform: translateX(-50%);
    position: relative;
    background: white;
    padding-top: 25px;
    /* width: 70%; */
    height: 100%;
    /* box-shadow: 0 14px 28px rgba(0, 0, 0, 0.25), 0 10px 10px rgba(0, 0, 0, 0.22); */
    border-radius: 5px;
    min-width: 240px;
}

.tabs input[name="tab-control"] {
    display: none;
}

.tabs .content section h2,
.tabs ul li label {
    /* font-family: "Montserrat"; */
    font-weight: bold;
    font-size: 16px;
    color: #000057;
}

.tabs ul {
    list-style-type: none;
    padding-left: 0;
    display: -webkit-box;
    display: flex;
    -webkit-box-orient: horizontal;
    -webkit-box-direction: normal;
    flex-direction: row;
    margin-bottom: 10px;
    -webkit-box-pack: justify;
    justify-content: space-between;
    -webkit-box-align: end;
    align-items: flex-end;
    flex-wrap: wrap;
    border-bottom: 1px solid;
}

.tabs ul li {
    box-sizing: border-box;
    -webkit-box-flex: 1;
    flex: 1;
    width: 25%;
    padding: 0 10px;
    text-align: center;
}

.tabs ul li label {
    -webkit-transition: all 0.3s ease-in-out;
    transition: all 0.3s ease-in-out;
    color: #929daf;
    padding: 5px auto;
    overflow: hidden;
    text-overflow: ellipsis;
    display: block;
    cursor: pointer;
    -webkit-transition: all 0.2s ease-in-out;
    transition: all 0.2s ease-in-out;
    white-space: nowrap;
    -webkit-touch-callout: none;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}

.tabs ul li label br {
    display: none;
}

.tabs ul li label svg {
    fill: #929daf;
    height: 1.2em;
    vertical-align: bottom;
    margin-right: 0.2em;
    -webkit-transition: all 0.2s ease-in-out;
    transition: all 0.2s ease-in-out;
}

.tabs ul li label:hover,
.tabs ul li label:focus,
.tabs ul li label:active {
    outline: 0;
    color: #bec5cf;
}

.tabs ul li label:hover svg,
.tabs ul li label:focus svg,
.tabs ul li label:active svg {
    fill: #bec5cf;
}

.tabs .slider {
    position: relative;
    width: 25%;
    -webkit-transition: all 0.33s cubic-bezier(0.38, 0.8, 0.32, 1.07);
    transition: all 0.33s cubic-bezier(0.38, 0.8, 0.32, 1.07);
}

.tabs .slider .indicator {
    position: relative;
    width: 50px;
    max-width: 100%;
    margin: 0 auto;
    height: 4px;
    background: #000057;
    border-radius: 1px;
}

.tabs .content {
    margin-top: 30px;
}

.tabs .content section {
    display: none;
    -webkit-animation-name: content;
    animation-name: content;
    -webkit-animation-direction: normal;
    animation-direction: normal;
    -webkit-animation-duration: 0.3s;
    animation-duration: 0.3s;
    -webkit-animation-timing-function: ease-in-out;
    animation-timing-function: ease-in-out;
    -webkit-animation-iteration-count: 1;
    animation-iteration-count: 1;
    line-height: 1.4;
    padding-top: 2px;
}

.tabs .content section h2 {
    color: #000057;
    display: none;
}

.tabs .content section h2::after {
    content: "";
    position: relative;
    display: block;
    width: 30px;
    height: 3px;
    background: #000057;
    margin-top: 5px;
    left: 1px;
}

.tabs input[name="tab-control"]:nth-of-type(1):checked~ul>li:nth-child(1)>label {
    cursor: default;
    color: #000057;
}

.tabs input[name="tab-control"]:nth-of-type(1):checked~ul>li:nth-child(1)>label svg {
    fill: #000057;
}

@media (max-width: 600px) {
    .tabs input[name="tab-control"]:nth-of-type(1):checked~ul>li:nth-child(1)>label {
        background: rgba(0, 0, 0, 0.08);
    }
}

.tabs input[name="tab-control"]:nth-of-type(1):checked~.slider {
    -webkit-transform: translateX(0%);
    transform: translateX(0%);
}

.tabs input[name="tab-control"]:nth-of-type(1):checked~.content>section:nth-child(1) {
    display: block;
}

.tabs input[name="tab-control"]:nth-of-type(2):checked~ul>li:nth-child(2)>label {
    cursor: default;
    color: #000057;
}

.tabs input[name="tab-control"]:nth-of-type(2):checked~ul>li:nth-child(2)>label svg {
    fill: #000057;
}

@media (max-width: 600px) {
    .tabs input[name="tab-control"]:nth-of-type(2):checked~ul>li:nth-child(2)>label {
        background: rgba(0, 0, 0, 0.08);
    }
}

.tabs input[name="tab-control"]:nth-of-type(2):checked~.slider {
    -webkit-transform: translateX(100%);
    transform: translateX(100%);
}

.tabs input[name="tab-control"]:nth-of-type(2):checked~.content>section:nth-child(2) {
    display: block;
}

.tabs input[name="tab-control"]:nth-of-type(3):checked~ul>li:nth-child(3)>label {
    cursor: default;
    color: #000057;
}

.tabs input[name="tab-control"]:nth-of-type(3):checked~ul>li:nth-child(3)>label svg {
    fill: #000057;
}

@media (max-width: 600px) {
    .tabs input[name="tab-control"]:nth-of-type(3):checked~ul>li:nth-child(3)>label {
        background: rgba(0, 0, 0, 0.08);
    }
}

.tabs input[name="tab-control"]:nth-of-type(3):checked~.slider {
    -webkit-transform: translateX(200%);
    transform: translateX(200%);
}

.tabs input[name="tab-control"]:nth-of-type(3):checked~.content>section:nth-child(3) {
    display: block;
}

.tabs input[name="tab-control"]:nth-of-type(4):checked~ul>li:nth-child(4)>label {
    cursor: default;
    color: #000057;
}

.tabs input[name="tab-control"]:nth-of-type(4):checked~ul>li:nth-child(4)>label svg {
    fill: #000057;
}

@media (max-width: 600px) {
    .tabs input[name="tab-control"]:nth-of-type(4):checked~ul>li:nth-child(4)>label {
        background: rgba(0, 0, 0, 0.08);
    }
}

.tabs input[name="tab-control"]:nth-of-type(4):checked~.slider {
    -webkit-transform: translateX(300%);
    transform: translateX(300%);
}

.tabs input[name="tab-control"]:nth-of-type(4):checked~.content>section:nth-child(4) {
    display: block;
}

@-webkit-keyframes content {
    from {
        opacity: 0;
        -webkit-transform: translateY(5%);
        transform: translateY(5%);
    }
    to {
        opacity: 1;
        -webkit-transform: translateY(0%);
        transform: translateY(0%);
    }
}

@keyframes content {
    from {
        opacity: 0;
        -webkit-transform: translateY(5%);
        transform: translateY(5%);
    }
    to {
        opacity: 1;
        -webkit-transform: translateY(0%);
        transform: translateY(0%);
    }
}

@media (max-width: 1000px) {
    .tabs ul li label {
        white-space: initial;
    }
    .tabs ul li label br {
        display: initial;
    }
    .tabs ul li label svg {
        height: 1.5em;
    }
}

@media (max-width: 600px) {
    .tabs ul li label {
        padding: 5px;
        border-radius: 5px;
    }
    .tabs ul li label span {
        display: none;
    }
    .tabs .slider {
        display: none;
    }
    .tabs .content {
        margin-top: 20px;
    }
    .tabs .content section h2 {
        display: block;
    }
}


/* Single product description and reviews */

.button-pulse {
    -webkit-animation: pulse 2s infinite 3s cubic-bezier(0.25, 0, 0, 0.5);
    animation: pulse 2s infinite 3s cubic-bezier(0.25, 0, 0, 0.5);
    box-shadow: 0 0 0 0 red;
}

.button-pulse:hover {
    -webkit-animation: pulse 2s infinite 3s cubic-bezier(0.25, 0, 0, 0.5);
    animation: pulse 2s infinite 3s cubic-bezier(0.25, 0, 0, 0.5);
    box-shadow: 0 0 0 0 #000057;
}

@-webkit-keyframes pulse {
    to {
        box-shadow: 0 0 0 18px rgba(255, 255, 255, 0);
    }
}

@keyframes pulse {
    to {
        box-shadow: 0 0 0 18px rgba(255, 255, 255, 0);
    }
}